document.addEventListener('DOMContentLoaded', function() {
    // Initialize 3D preview canvas
    const canvas = document.getElementById('gamePreview');
    const ctx = canvas.getContext('2d');
    
    // Animate preview window
    function animate() {
        ctx.clearRect(0, 0, canvas.width, canvas.height);
        ctx.fillStyle = '#4f46e5';
        ctx.fillRect(50, 50, 100, 100);
        requestAnimationFrame(animate);
    }
    
    // Handle generate button click
    const generateBtn = document.querySelector('.generate-btn');
    if (generateBtn) {
        generateBtn.addEventListener('click', function() {
            const idea = document.querySelector('textarea').value;
            if (idea.trim() !== '') {
                // Simulate loading state
                this.textContent = 'Generating...';
                this.disabled = true;
                
                setTimeout(() => {
                    this.textContent = 'Generate Game';
                    this.disabled = false;
                    // Here would be the actual AI generation logic
                }, 2000);
            }
        });
    }
    
    // Add hover effects to feature cards
    const cards = document.querySelectorAll('.feature-card');
    cards.forEach(card => {
        card.addEventListener('mouseenter', function() {
            this.style.transform = 'translateY(-10px)';
        });
        card.addEventListener('mouseleave', function() {
            this.style.transform = 'translateY(0)';
        });
    });
    
    // Start animation
    animate();
});